Subject: bug#65752: 29.1; package-vc-install fails to install Helm package

From: Thierry Volpiatto <[email-masked]>
Date: Fri, 14 Mar 2025 05:12:08 +0000

Hello Sean,

Sean Whitton <[email-masked]> writes:

> Hello,
>
> On Sat 09 Sep 2023 at 08:55am GMT, Thierry Volpiatto wrote:
>
>> I don't know, I am not able to reproduce now, I have always error:
>>
>> Debugger entered--Lisp error: (error "Empty checkout for helm-core")
>>   signal(error ("Empty checkout for helm-core"))
>>   error("Empty checkout for %s" helm-core)
>>   package-vc--unpack(#s(package-desc :name helm-core :version nil :summary "No
>> description available." :reqs nil :kind vc :archive nil :dir
>> "/home/thierry/.emacs.d/elpa/helm-core/" :extras nil :signed nil) (:url
>> "https://github.com/emacs-helm/helm.git" :main-file "helm-core.el") nil)
>>   package-vc-install((helm-core :url "https://github.com/emacs-helm/helm.git"
>> :main-file "helm-core.el"))
>>   (progn (package-vc-install '(helm-core :url
>> "https://github.com/emacs-helm/helm.git" :main-file "helm-core.el")))
>>   eval((progn (package-vc-install '(helm-core :url
>> "https://github.com/emacs-helm/helm.git" :main-file "helm-core.el"))) t)
>>   elisp--eval-last-sexp(nil)
>>   eval-last-sexp(nil)
>>   funcall-interactively(eval-last-sexp nil)
>>   call-interactively(eval-last-sexp nil nil)
>>   command-execute(eval-last-sexp)
>
> Thierry, can you still reproduce this error?

Not sure if it is the same error, but yes package-vc is still unable to
install Helm.  IIRC package-vc cannot handle packages which use the same
repo for two (or more) packages as long as it uses the current approach.

-- 
Thierry